package com.google.android.flexbox;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.support.v7.widget.RecyclerView.LayoutParams;
import android.util.AttributeSet;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class FlexboxLayoutManager$LayoutParams extends LayoutParams implements FlexItem {
    public static final Creator<FlexboxLayoutManager$LayoutParams> CREATOR = new 1();
    private float btR = 0.0f;
    private float btS = 1.0f;
    private int btT = -1;
    private float btU = -1.0f;
    private boolean btV;
    private int dg;
    private int dh;
    private int di = 16777215;
    private int dj = 16777215;

    public final int getWidth() {
        return this.width;
    }

    public final int getHeight() {
        return this.height;
    }

    public final float ub() {
        return this.btR;
    }

    public final float uc() {
        return this.btS;
    }

    public final int ud() {
        return this.btT;
    }

    public final int getMinWidth() {
        return this.dg;
    }

    public final int getMinHeight() {
        return this.dh;
    }

    public final int getMaxWidth() {
        return this.di;
    }

    public final int getMaxHeight() {
        return this.dj;
    }

    public final boolean ue() {
        return this.btV;
    }

    public final float uf() {
        return this.btU;
    }

    public final int ug() {
        return this.leftMargin;
    }

    public final int uh() {
        return this.topMargin;
    }

    public final int ui() {
        return this.rightMargin;
    }

    public final int uj() {
        return this.bottomMargin;
    }

    public FlexboxLayoutManager$LayoutParams(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public FlexboxLayoutManager$LayoutParams() {
        super(-2, -2);
    }

    public final int getOrder() {
        return 1;
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(54784);
        parcel.writeFloat(this.btR);
        parcel.writeFloat(this.btS);
        parcel.writeInt(this.btT);
        parcel.writeFloat(this.btU);
        parcel.writeInt(this.dg);
        parcel.writeInt(this.dh);
        parcel.writeInt(this.di);
        parcel.writeInt(this.dj);
        parcel.writeByte(this.btV ? (byte) 1 : (byte) 0);
        parcel.writeInt(this.bottomMargin);
        parcel.writeInt(this.leftMargin);
        parcel.writeInt(this.rightMargin);
        parcel.writeInt(this.topMargin);
        parcel.writeInt(this.height);
        parcel.writeInt(this.width);
        AppMethodBeat.o(54784);
    }

    protected FlexboxLayoutManager$LayoutParams(Parcel parcel) {
        super(-2, -2);
        AppMethodBeat.i(54785);
        this.btR = parcel.readFloat();
        this.btS = parcel.readFloat();
        this.btT = parcel.readInt();
        this.btU = parcel.readFloat();
        this.dg = parcel.readInt();
        this.dh = parcel.readInt();
        this.di = parcel.readInt();
        this.dj = parcel.readInt();
        this.btV = parcel.readByte() != (byte) 0;
        this.bottomMargin = parcel.readInt();
        this.leftMargin = parcel.readInt();
        this.rightMargin = parcel.readInt();
        this.topMargin = parcel.readInt();
        this.height = parcel.readInt();
        this.width = parcel.readInt();
        AppMethodBeat.o(54785);
    }

    static {
        AppMethodBeat.i(54786);
        AppMethodBeat.o(54786);
    }
}
